## python-aiosmtpd 1.4.6

=== requirements.txt ===
atpublic==4.1.0
attrs==23.2.0
coverage==7.5.1
pytest==8.2.0
pytest-asyncio==0.23.6
pytest-cov==5.0.0
pytest-mock==3.14.0

=== examples/authenticated_relayer/requirements.txt ===
argon2-cffi
dnspython

## python-aiosmtpd 1.1

=== debian/changelog ===
python-aiosmtpd (1.1-5) unstable; urgency=medium

  * d/watch:
    - @PACKAGE@ tag doesn't work properly as the source package's name is not
      upstream's name.

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 06 Feb 2018 11:14:28 +0100

python-aiosmtpd (1.1-4) unstable; urgency=medium

  * d/watch: use uscan magic tags to fetch properly the gpg signature
  * d/control:
    - Bump Standards-Version to 4.1.3, no changes needed.
    - Swap myself and DPMT as Maintainer/Uploaders
    - dh requirement to 11
    - Use Rules-Requires-Root: no for this package.
  * d/rules:
    - Add specific pybuild rule to avoid installing
      /usr/lib/pythonXX/dist-packages/examples. Instead, move it to
      /usr/share/doc/python3-aiosmtpd/, and remove the __pycache__ compiled
      files in it.
    - Enable DH verbose output.
  * d/copyright:
    - Update my copyright line as the year ++-ed.
  * d/compat:
    - Bump compat version to 11

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 08 Jan 2018 20:04:28 +0100

python-aiosmtpd (1.1-3) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * Fixes .docs file that contains erroneous files paths

  [ Mattia Rizzolo ]
  * Bump Standards-Version to 4.0.1, no changes needed

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 07 Aug 2017 19:29:08 +0200

python-aiosmtpd (1.1-2) unstable; urgency=medium

  * Adds Upstream changelogs
  * Adds crypto checking for the upstream tarball
  * Adds some lintian overrides
  * Debhelper compatibility bumps from 9 to 10

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 31 Jul 2017 12:28:50 +0200

python-aiosmtpd (1.1-1) unstable; urgency=low

  * Initial release (Closes: #866009)

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 06 Jul 2017 23:30:00 +0200

=== debian/control ===
Source: python-aiosmtpd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all (>= 3.5),
               python3-docutils,
               python3-public,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.3
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://aiosmtpd.readthedocs.io
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-aiosmtpd.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-aiosmtpd.git
X-Python3-Version: >= 3.5

Package: python3-aiosmtpd
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python3 asyncio based SMTP server
 This is a server for SMTP and related protocols, similar in utility to the
 standard library’s smtpd.py module, but rewritten to be based on asyncio for
 Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtpd
export PYBUILD_AFTER_INSTALL=mv '{destdir}/{install_dir}/examples' \
	'{destdir}/usr/share/doc/python3-aiosmtpd/'

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-aiosmtpd/usr/share/doc/python3-aiosmtpd/examples/__pycache__

override_dh_installdocs:
	PYTHONPATH=. sphinx-build -N -q -E -c ./ -b html . debian/compiled_doc/temp
	mv debian/compiled_doc/temp/aiosmtpd/docs debian/compiled_doc/html
	dh_installdocs

override_dh_installman:
	mkdir -p debian/compiled_doc/manpage
	rst2man aiosmtpd/docs/manpage.rst > debian/compiled_doc/manpage/aiosmtpd.man
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs aiosmtpd/docs/NEWS.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/aiosmtpd/aiosmtpd@ANY_VERSION@@ARCHIVE_EXT@

## python-aiosmtpd 1.2

=== debian/changelog ===
python-aiosmtpd (1.2-3) unstable; urgency=medium

  * d/rules:
    - Implement a way to replace upstream's ssl certificate in build dir in
      case we run tests and think about reputing upstream's certificate after.
      This makes the package build reproducible.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 10 Oct 2018 23:18:10 +0200

python-aiosmtpd (1.2-2) unstable; urgency=medium

  * d/rules:
    - Implement a way to replace upstream's ssl certificate in build dir in
      case we run tests. This allows one to have the tests working properly
      independently of the time variable.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Oct 2018 23:02:58 +0200

python-aiosmtpd (1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Pierre-Elliott Bécue ]
  * New upstream release: 1.2
  * d/control:
    - Set my Debian address instead of my Crans address as uploader
    - Bump Standards-Version to 4.2.1. No change required
  * d/rules:
    - Broaden the examples directory removal to multiple python3 version
  * d/patches:
    - Add patch 0001 to ease the testing constraint on the test loop. This
      could solve the FTBFS bugs from reproducibility tests.
  * d/upstream/signing-key.asc:
    - The new releaser of the package doesn't sign it. Remove the key for now.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Oct 2018 09:38:50 +0200

python-aiosmtpd (1.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Pierre-Elliott Bécue ]
  * d/control:
    - Add missing dependency on python3-pkg-resources. (Closes: #895365)
    - Bump Standards-Version to 4.1.4. No change required.

 -- Pierre-Elliott Bécue <becue@crans.org>  Thu, 12 Apr 2018 18:12:16 +0200

=== debian/control ===
Source: python-aiosmtpd
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               openssl,
               python3-all (>= 3.5),
               python3-docutils,
               python3-public,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.2.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://aiosmtpd.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-aiosmtpd
Vcs-Git: https://salsa.debian.org/python-team/modules/python-aiosmtpd.git
X-Python3-Version: >= 3.5

Package: python3-aiosmtpd
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: Python3 asyncio based SMTP server
 This is a server for SMTP and related protocols, similar in utility to the
 standard library’s smtpd.py module, but rewritten to be based on asyncio for
 Python 3.

## python-aiosmtpd 1.2.2

=== debian/changelog ===
python-aiosmtpd (1.2.2-1+deb11u1) bullseye; urgency=medium

  * Team upload.
  * CVE-2024-27305 - SMTP smuggling due to poor handling of
    non-standard line endings (Closes: #1066820)
  * CVE-2024-34083 - STARTTLS unencrypted command injection
    (Closes: #1072119)

 -- Dale Richards <dale@dalerichards.net>  Fri, 14 Jun 2024 14:09:42 +0100

python-aiosmtpd (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.2.2 (Closes: #973097)
    - d/patches: dropped
  * Use pytest for testing
  * d/control:
    - Add Sphinxdoc:Depends to the binary package
    - Bump debhelper-compat level to 13
    - Bump Standards-Version to 4.5.1
  * Updated Copyrights
  * d/rules:
    - Optimize out examples linking
    - Move the documentation sources out of usr/lib/python3

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 19 Dec 2020 16:05:26 +0100

=== debian/control ===
Source: python-aiosmtpd
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               openssl,
               python3-all (>= 3.5),
               python3-docutils,
               python3-public,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://aiosmtpd.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiosmtpd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiosmtpd.git

Package: python3-aiosmtpd
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: Python3 asyncio based SMTP server
 This is a server for SMTP and related protocols, similar in utility to the
 standard library’s smtpd.py module, but rewritten to be based on asyncio for
 Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtpd
export PYBUILD_AFTER_INSTALL=mv '{destdir}/{install_dir}/examples' \
		'{destdir}/usr/share/doc/python3-aiosmtpd/examples_{version}' && \
		ln -sf '/usr/share/doc/python3-aiosmtpd/examples_{version}' \
		'{destdir}/usr/share/doc/python3-aiosmtpd/examples'
export PYBUILD_BEFORE_TEST=cp -a '{build_dir}/aiosmtpd/tests/certs/server.key' \
	'{build_dir}/aiosmtpd/tests/certs/server.crt' '/tmp/old' && \
	cp -f /tmp/new/server.key /tmp/new/server.crt \
	'{build_dir}/aiosmtpd/tests/certs'
export PYBUILD_AFTER_TEST=cp -fa '/tmp/old/server.key' '/tmp/old/server.crt' \
	'{build_dir}/aiosmtpd/tests/certs'

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/python3-aiosmtpd/usr/share/doc/python3-aiosmtpd -maxdepth 2 -type d -name "__pycache__" -exec rm -rf {} \;

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p /tmp/new
	mkdir -p /tmp/old
	openssl req -x509 -newkey rsa:4096 \
	-keyout '/tmp/new/server.key' \
	-out '/tmp/new/server.crt' \
	-days 365 -nodes -subj '/CN=localhost'
	dh_auto_test
endif

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -c ./ -b html . debian/compiled_doc/temp
	mv debian/compiled_doc/temp/aiosmtpd/docs debian/compiled_doc/html
	dh_installdocs

override_dh_installman:
	mkdir -p debian/compiled_doc/manpage
	rst2man aiosmtpd/docs/manpage.rst > debian/compiled_doc/manpage/aiosmtpd.man
	dh_installman

override_dh_python3:
	dh_python3
	mv debian/python3-aiosmtpd/usr/lib/python3/dist-packages/aiosmtpd/docs \
		debian/python3-aiosmtpd/usr/share/doc/python3-aiosmtpd/rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiosmtpd/aiosmtpd@ANY_VERSION@@ARCHIVE_EXT@

## python-aiosmtpd 1.4.2

=== debian/changelog ===
python-aiosmtpd (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on python3-all for the autopkgtest. (Closes: #1001372)
  * Patch: Python 3.10 support.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2022 14:35:59 -0400

python-aiosmtpd (1.4.2-2) unstable; urgency=medium

  * d/p/0004: Remove dated copyright for reproducibility

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 23 Oct 2021 22:56:23 +0200

python-aiosmtpd (1.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.4.2
  * d/watch: Move tracking to github
  * d/control:
    - Bump Standards-Version to 4.6.0
    - Remove unneeded build-dependency on openssl
  * d/p/0001: patch to skip a git version test (not possible as we don't rely
    on the git repository) and a temporarily failing test
  * d/p/0002: drop sphinx-autofixture extension requirement
  * d/p/0003: Remove imported images in documentation to respect user's
    privacy
  * d/rules:
    - Remove some after_install rule not useful anymore
    - Update sphinx build method
    - Clean superfluous directory and files post install
  * d/copyright: Update
  * d/tests: implements non-superficial autopkgtests

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 19 Oct 2021 22:15:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               openssl,
-               python3-all (>= 3.5),
+               python3-all,
+               python3-attr,
                python3-docutils,
                python3-public,
                python3-pytest,
+               python3-pytest-mock,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.5.1
+               python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
 Homepage: https://aiosmtpd.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiosmtpd
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiosmtpd.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=aiosmtpd

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/python3-aiosmtpd/usr/share/doc/python3-aiosmtpd -maxdepth 2 -type d -name "__pycache__" -exec rm -rf {} \;
	find debian/python3-aiosmtpd/ -name ".gitignore" -delete

override_dh_installdocs:
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html aiosmtpd/docs debian/compiled_doc/html
	PYTHONPATH=. python3 -m sphinx -N -q -E -b man aiosmtpd/docs debian/compiled_doc/manpage
	dh_installdocs

override_dh_python3:
	dh_python3
	rm -rf debian/python3-aiosmtpd/usr/lib/python3/dist-packages/aiosmtpd/docs

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/aio-libs/aiosmtpd/releases \
.*[^n]/(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-aiosmtpd 1.4.3

=== debian/changelog ===
python-aiosmtpd (1.4.3-1.1+deb12u1) bookworm; urgency=medium

  * Team upload.
  * CVE-2024-27305 - SMTP smuggling due to poor handling of
    non-standard line endings (Closes: #1066820)
  * CVE-2024-34083 - STARTTLS unencrypted command injection
      (Closes: #1072119)

 -- Dale Richards <dale@dalerichards.net>  Fri, 07 Jun 2024 18:11:07 +0100

python-aiosmtpd (1.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Perform symlink to directory conversion of
    /usr/share/doc/python3-aiosmtpd/html/_sources.  (Closes: #1035691)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 May 2023 16:09:53 +0200

python-aiosmtpd (1.4.3-1) unstable; urgency=medium

  * New upstream release 1.4.3 (Closes: #1026471, #1025019)
  * Updated d/copyright

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 22 Dec 2022 23:16:49 +0100

python-aiosmtpd (1.4.2-4) unstable; urgency=medium

  * d/watch: fix the URL
  * Bump Standards-Version to 4.6.1
  * d/tests/python3-aiosmtpd: use py3versions -s instead of -r
  * Add pybuild-plugin-pyproject as a build-dep

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 01 Nov 2022 18:47:21 +0100

=== debian/tests/control ===
Tests: python3-aiosmtpd
Depends: @,
         python3-all,
         python3-attr,
         python3-public,
         python3-pytest,
         python3-pytest-mock

## python-aiosmtpd 1.4.4.post2

=== debian/changelog ===
python-aiosmtpd (1.4.4.post2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.4.post2.
  * Run pybuild testsuite, declare test files
  * Temporarily disable tests that hang with python 3.12.
    Other distributions are doing the same for now.
    Closes: #1056454, #1058440.
  * Standards-Version 4.6.2

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Feb 2024 17:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-attr,
                python3-docutils,
@@ -14,11 +15,12 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://aiosmtpd.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiosmtpd
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiosmtpd.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-aiosmtpd
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DH_VERBOSE = 1
 
 export PYBUILD_NAME=aiosmtpd
+export PYBUILD_TEST_ARGS=-k "not (unknown_args_ or factory_none or noexc_smtpd_missing)"
 
 # main packaging script based on dh7 syntax
 %:

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/aio-libs/aiosmtpd/tags \
.*[^n]/(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## python-aiosmtpd 1.4.6

=== debian/changelog ===
python-aiosmtpd (1.4.6-5) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Apply Multi-Arch: hint.

  [ Colin Watson ]
  * Add Breaks/Replaces: python3-aiosmtpd (<< 1.4.6-2~) to
    python3-aiosmtpd-doc (closes: #1101112).

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 15:40:40 +0000

python-aiosmtpd (1.4.6-4) unstable; urgency=medium

  * Team upload.
  * Reformat d/control with debputy
  * Remove dep on python3-pkg-resources (Closes: #1083594)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Feb 2025 07:07:39 +0100

python-aiosmtpd (1.4.6-3) unstable; urgency=medium

  * Team upload.
  * Add compatibility for Python 3.13 (closes: #1082193).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2024 18:15:05 +0000

python-aiosmtpd (1.4.6-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3

  [ Dale Richards ]
  * Separate packages for library and documentation (Closes: #1053352).
  * d/watch: Use release tarballs instead of tags, and verify PGP signatures.
  * Re-export upstream signing keys without extra signatures.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 11 Nov 2024 21:12:55 +0100

python-aiosmtpd (1.4.6-1) unstable; urgency=medium

  [ Dale Richards ]
  * Team upload.
  * New upstream version 1.4.6
    - CVE-2024-27305 - SMTP smuggling due to poor handling of
      non-standard line endings (Closes: #1066820)
    - CVE-2024-34083 - STARTTLS unencrypted command injection
      (Closes: #1072119)
  * d/watch: Update for new version format.
  * Update patch line offsets for new upstream version.
  * Add .gitattributes file to use CRLF line endings for
    aiosmtpd/tests/test_smtpsmuggling.py, so the checked out file matches
    the one in the upstream release tarball.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Jakob Haufe <sur5r@debian.org>  Sun, 09 Jun 2024 19:24:43 +0200

=== debian/control ===
Source: python-aiosmtpd
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Pierre-Elliott Bécue <peb@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-attr,
 python3-docutils,
 python3-public,
 python3-pytest,
 python3-pytest-mock,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://aiosmtpd.readthedocs.io
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiosmtpd
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiosmtpd.git
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-aiosmtpd
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python3 asyncio based SMTP server
 This is a server for SMTP and related protocols, similar in utility to the
 standard library's smtpd.py module, but rewritten to be based on asyncio for
 Python 3.
 .
 This package contains the Python 3 library.

Package: python3-aiosmtpd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python3-aiosmtpd (<< 1.4.6-2~),
Replaces:
 python3-aiosmtpd (<< 1.4.6-2~),
Description: Python3 asyncio based SMTP server (documentation)
 This is a server for SMTP and related protocols, similar in utility to the
 standard library's smtpd.py module, but rewritten to be based on asyncio for
 Python 3.
 .
 This package contains the documentation for the Python 3 library.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
-	find debian/python3-aiosmtpd/usr/share/doc/python3-aiosmtpd -maxdepth 2 -type d -name "__pycache__" -exec rm -rf {} \;
+	find debian/python3-aiosmtpd-doc/usr/share/doc/python3-aiosmtpd -maxdepth 2 -type d -name "__pycache__" -exec rm -rf {} \;
 	find debian/python3-aiosmtpd/ -name ".gitignore" -delete
 
 override_dh_installdocs:

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%, \
pgpsigurlmangle=s/$/.sig/" \
https://api.github.com/repos/aio-libs/aiosmtpd/releases?per_page=100 \
https://github.com/[^/]+/[^/]+/releases/download/[^/]+/aiosmtpd-@ANY_VERSION@\.tar\.gz
